#ifndef TOOLS_H
#define TOOLS_H

#define DEBUGMACRO QString(__FILE__) + "->" + QString(Q_FUNC_INFO) + ": " + QString::number(__LINE__) + " -"

#include <string>
#include <vector>
#include <array>
#include <QString>
#include <QMap>
#include <QTranslator>
#include <QProcess>
#include <QMimeDatabase>
#include <QMimeType>
#include "mainwindow.h"

using namespace std;

bool testRsyncReturn(MainWindow *, QProcess *);
QString getFileType(QString filename);
int whatIpVersion(QString server);
void warning(QString message);
void error(QString message);
void info(QString debugHeader, QString message);

#endif // TOOLS_H
